/*
 * This file is part of decoding
 * Copyright 2012  Guillaume Quintin, INRIA
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 */

void mat_row_echelon(R *r,int *pos,R *a,int ra,int ca) {
  int i,j;
  int *perm;
  if ( r != a ) ll_vec_copy(r,a,ca * ra);
  perm = ll_malloc(ca * sizeof(int));
  for( i = 0 ; i < ca ; i++ ) {
    perm[i] = i;
  }
  ll_free(perm);
}

