/*
 * This file is part of decoding
 * Copyright 2012  Guillaume Quintin, INRIA
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 */

/* structs */
#define sugar_vec __C(R,_sugar_vec)
#define vec_ptr __C(R,_vec_ptr)
#define vec __C(R,_vec)

#define sugar_rs_code __C(R,_rs_code)
#define rs_code_ptr __C(R,_rs_code_ptr)
#define rs_code __C(R,_rs_code)

/* labels */

/* sugar/vec.c */
#define vec_init __C(R,_vec_init)
#define vec_inits __C(R,_vec_inits)
#define vec_clear __C(R,_vec_clear)
#define vec_clears __C(R,_vec_clears)
#define vec_adjust_size __C(R,_vec_adjust_size)
#define vec_zero __C(R,_vec_zero)
#define vec_append __C(R,_vec_append)
#define vec_random __C(R,_vec_random)
#define vec_random_hamming_weight __C(R,_vec_random_hamming_weight)
#define vec_add __C(R,_vec_add)
#define vec_sub __C(R,_vec_sub)
#define vec_mul_by_cte __C(R,_vec_mul_by_cte)
#define vec_set_coeff __C(R,_vec_set_coeff)
#define vec_get_coeff __C(R,_vec_get_coeff)
#define vec_get_len __C(R,_vec_get_len)
#define vec_hamming_weight __C(R,_vec_hamming_weight)
#define vec_hamming_distance __C(R,_vec_hamming_distance)
#define vec_copy __C(R,_vec_copy)
#define vec_cmp __C(R,_vec_cmp)
#define vec_ptr_clear __C(R,_vec_ptr_clear)
#define vec_print __C(R,_vec_print)

/* sugar/rs.c */
#define rs_code_init __C(R,_rs_code_init)
#define rs_code_init_with_support __C(R,_rs_code_init_with_support)
#define rs_code_clear __C(R,_rs_code_clear)
#define rs_code_random_codeword __C(R,_rs_code_random_codeword)
#define rs_code_sudan_koetter __C(R,_rs_code_sudan_koetter)
#define rs_code_guruswami_sudan_koetter __C(R,_rs_code_guruswami_sudan_koetter)

/* sugar/print.c */
#define decoding_printf __C(R,_decoding_printf)

