/*
 * This file is part of decoding
 * Copyright 2012  Guillaume Quintin, INRIA
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 */

/* ring types */
#define R_ptr __C(R,_ptr)
#define R_content __C(R,_content)
#define R_characteristic __C(R,_characteristic)
#define R_characteristic_type __C(R,_charateristic_type)
#define R_prime __C(R,_prime)
#define R_magma_decl __C(R,_magma_decl)

/* ring functions */
#define R_ring_init __C(R,_ring_init)
#define R_ring_clear __C(R,_ring_clear)
#define R_clear __C(R,_clear)
#define R_clears __C(R,_clears)
#define R_init __C(R,_init)
#define R_inits __C(R,_inits)
#define R_copy __C(R,_copy)
#define R_swap __C(R,_swap)
#define R_init_copy __C(R,_init_copy)
#define R_shallow_copy __C(R,_shallow_copy)
#define R_print __C(R,_print)
#define R_cmp __C(R,_cmp)
#define R_iszero __C(R,_iszero)
#define R_zero __C(R,_zero)
#define R_random __C(R,_random)
#define R_add __C(R,_add)
#define R_sub __C(R,_sub)
#define R_sub_sub __C(R,_sub_sub)
#define R_add_mul __C(R,_add_mul)
#define R_sub_mul __C(R,_sub_mul)
#define R_neg __C(R,_neg)
#define R_mul __C(R,_mul)
#define R_square __C(R,_square)
#define R_inv __C(R,_inv)
#define R_div __C(R,_div)
#define R_castint __C(R,_castint)
#define R_cast_integer __C(R,_cast_integer)
#define R_next __C(R,_next)

